# Gamepad

Package org.firstinspires.ftc.teamcode

## Class Gamepad

- java.lang.Object
- - com.qualcomm.robotcore.eventloop.opmode.OpMode
  - - org.firstinspires.ftc.teamcode.Gamepad

    @TeleOp(name="Gamepad 1.0 IMU 1.0")
    public class Gamepad
    extends com.qualcomm.robotcore.eventloop.opmode.OpMode

### Field Summary

### Fields inherited from class com.qualcomm.robotcore.eventloop.opmode.OpMode

`gamepad1, gamepad2, hardwareMap, internalOpModeServices, msStuckDetectInit, msStuckDetectInitLoop, msStuckDetectLoop, msStuckDetectStart, msStuckDetectStop, telemetry, time`

### Constructor Summary

Constructors
`Gamepad()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init()`
`void` `loop()`
`void` `start()`

### Methods inherited from class com.qualcomm.robotcore.eventloop.opmode.OpMode

`getRuntime, init_loop, internalPostInitLoop, internalPostLoop, internalPreInit, internalUpdateTelemetryNow, requestOpModeStop, resetStartTime, stop, updateTelemetry`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Gamepad

    public Gamepad()

### Method Detail

#### init

    public void init()

Specified by:
  `init` in class `com.qualcomm.robotcore.eventloop.opmode.OpMode`

#### start

    public void start()

Overrides:
  `start` in class `com.qualcomm.robotcore.eventloop.opmode.OpMode`

#### loop

    public void loop()

Specified by:
  `loop` in class `com.qualcomm.robotcore.eventloop.opmode.OpMode`